use Test::More;

use lib 'lib';
use helper;
use SugarTrail::Repo;

my $repo = SugarTrail::Repo->new(root => './t/data/strepo', vcs => 'git');

my $m1 = $repo->load_stm(stm=>'/selftest/posititve/multiple_parameters.stm');
ok($m1,             "multiple_parameters: master is true");

my $s1 = $m1->generate_slave({ proto => "imap", os => "w7a" });
ok($s1,            "multiple_parameters: slave is true");

&helper::dmup(s1=>\$s1);
&helper::dmup(m1=>\$m1);

done_testing();
